LSCPU(1)

NOM
lscpu - Afficher des informations sur l'architecture du processeur

SYNOPSIS
lscpu [-hpx] [-s répertoire]

DESCRIPTION
lscpu collecte des informations sur l'architecture processeur comme le nombre de processeurs, de processus légers, de sockets, de nœuds NUMA, la valeur des caches, la famille et le modèle de processeur, le BogoMips, le boutisme et la révision depuis sysfs et /proc/cpuinfo, et affiche les résultats de façon lisible. Il gère à la fois les microprocesseurs en et hors ligne. Il peut aussi afficher les résultats sous une forme analysable par un programme, y compris la façon dont les différents caches sont répartis entre processeurs.

OPTIONS

-h, --help
    Afficher un message d'aide.

-p, --parse[=liste]
    Afficher les résultats au format analysable par un programme au lieu du format lisible.

    En absence d'argument liste, l'affichage de compatibilité ascendante par défaut est utilisé. Le format de compatibilité ascendante utilise deux virgules pour séparer les colonnes de cache de processeur. Si aucun cache de processeur n'est identifié, les colonnes de cache ne sont pas affichées du tout.

    L'argument liste est une liste de colonnes séparées par des virgules. CPU (Processeur), Core (Cœur), Node (Nœud), Socket, Book (Livre) et Cache sont actuellement gérés. Si l'argument liste est donné, toutes les colonnes demandées sont toujours affichées dans l'ordre défini. Les colonnes Cache sont séparées par des « : ».

    Remarquez que l'argument liste facultatif ne peut pas être séparé de l'option par une espace, la forme correcte est par exemple -p=cpu,node ou --parse=cpu,node.

-s, --sysroot répertoire
    Utiliser le répertoire indiqué comme racine du système. Cela permet d'inspecter l'instantané (« snapshot ») d'un autre système.

-x, --hex
    Utiliser des masques hexadécimaux pour les jeux de microprocesseurs (par exemple 0x3). Par défaut, l'affichage est au format liste (par exemple 0,1).

BOGUES
La vue d'ensemble de base sur la famille et le modèle de microprocesseur, etc. est toujours relative au premier microprocesseur seulement.

Quelques fois sous Xen Dom0, les résultats du noyau sont incorrects.

AUTEUR
Cai Qian <qcai@redhat.com>
Karel Zak <kzak@redhat.com>

DISPONIBILITÉ
La commande lscpu fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.